For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList webhook endpoints
      • POSTCreate webhook endpoint
      • GETRetrieve webhook endpoint
      • PATCHUpdate webhook endpoint
      • DELDelete webhook endpoint
      • GETList webhook events
      • WebhookEndpoint
      • WebhookEndpointStatus
      • EventConfiguration
      • ApiVersion
      • WebhookEvent
      • EventType
      • EventStatus
      • EventData
      • EventDataType
LogoLogo
Management APIWebhooks

List webhook events

GET
/webhook-events
GET
/management/v1/webhook-events
$curl https://api.cash.app/management/v1/webhook-events \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "webhook_events": [
3 {
4 "id": "WE_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
5 "webhook_endpoint_id": "WC_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
6 "event_type": "customer.created",
7 "status": "PENDING",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-01-15T09:30:00Z",
10 "expires_at": "2024-01-15T09:30:00Z",
11 "event_data": {
12 "event_id": "WE_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
13 "type": "customer.created",
14 "created_at": "2024-01-15T09:30:00Z",
15 "data": {
16 "id": "string",
17 "object": {
18 "customer": {
19 "id": "CST_AQmxh4y_QGoNNIG5NUw0jttqyYedL1LklACQdyJ3H-Vs6WmLtP6A_C7XjQNohvY",
20 "cashtag": "string",
21 "reference_id": "CUST_123"
22 }
23 },
24 "type": "customer"
25 }
26 },
27 "api_version": "string"
28 }
29 ],
30 "cursor": "string"
31}

Returns a list of all webhook events matching the query parameters provided. Expired events are not included.

Scopes: WEBHOOK_EVENTS_READ

Was this page helpful?
Previous

WebhookEndpoint

Next
Built with

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Query parameters

webhook_endpoint_idstringOptional1-128 characters
Events delivered to this webhook endpoint ID.
statusenumOptional
The status of an event that was delivered to a webhook endpoint. The status can either be PENDING, SUCCESS, or FAILED.
Allowed values:
event_typeenumOptional
The type of event that will be sent to the webhook endpoint.
cursorstringOptional
A pagination cursor returned by a previous call to this endpoint. Provide this cursor to retrieve the next set of results for the original query.
limitintegerOptional1-500Defaults to 100
Maximum number of webhook events to return.

Response

OK
webhook_eventslist of objects
cursorstring
The pagination cursor to be used in a subsequent request. If empty, this is the final response.

Errors

400
Bad Request Error